"""
Antistasi Console Log Parser
WiP
"""

__version__ = '0.1.3'


import os
import appdirs

import shutil


def set_env():
    """
    Sets some enviroment variables to be available everywhere.
    Checks if it is being launched from the development environment or not and set the env variable 'IS_DEV' and `PYTHONASYNCIODEBUG` accordingly.

    """

    app_name = "antistasi_console_log_parser"
    author_name = "antistasi_tools"
    app_folder = appdirs.user_data_dir(app_name.title(), author_name.title(), roaming=True)
    if os.path.exists(app_folder) is False:
        os.makedirs(app_folder)
    log_folder = appdirs.user_log_dir(appname=f"{app_name}_logs".title(), appauthor=False)
    # if os.path.exists(log_folder) is False:
    #     os.makedirs(log_folder)
    os.environ['APP_NAME'] = app_name
    os.environ['AUTHOR_NAME'] = author_name
    os.environ['APP_DATA_FOLDER'] = app_folder.replace(os.pathsep, '/')
    os.environ['APP_LOG_FOLDER'] = log_folder.replace(os.pathsep, '/')

    os.environ['DISABLE_IMPORT_LOGCALLS'] = "1"
    os.environ['DISABLE_INITIATION_LOG_CALLS'] = "1"


set_env()
